## python-briefcase 0.3.22

=== debian/changelog ===
python-briefcase (0.3.22-1.1) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2025 20:00:32 -0500

python-briefcase (0.3.22-1) unstable; urgency=medium

  * Initial release (Closes: #1096151)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 15 Feb 2025 17:11:49 -0300
