=== debian/control ===
Source: python-briefcase
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               furo <!nodoc>,
               jdupes,
               pre-commit <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-build,
               python3-cookiecutter,
               python3-coverage <!nocheck>,
               python3-dateutil,
               python3-enchant <!nodoc>,
               python3-git,
               python3-httpx,
               python3-importlib-metadata,
               python3-packaging,
               python3-pip,
               python3-platformdirs,
               python3-psutil,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-rich,
               python3-setuptools,
               python3-setuptools-scm <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-autobuild <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-tabs <!nodoc>,
               python3-sphinxcontrib.spelling <!nodoc>,
               python3-tomli,
               python3-tomli-w,
               python3-wheel
Standards-Version: 4.7.0
Homepage: https://github.com/beeware/briefcase
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-briefcase
Vcs-Git: https://salsa.debian.org/python-team/packages/python-briefcase.git

Package: python3-briefcase
Architecture: all
Depends: build-essential,
         gir1.2-gtk-3.0,
         git,
         libcairo2-dev,
         libcanberra-gtk3-module,
         libgirepository1.0-dev,
         pkgconf,
         python3-dev,
         python3-venv,
         ${misc:Depends},
         ${python3:Depends}
Suggests: briefcase-doc
Description: Convert Python project to native application
 Briefcase is a tool from the BeeWare project that allows you to package and
 distribute Python applications as native executables for different operating
 systems. With it, a developer can turn a Python project into an application
 that can be installed and run like any other common software on Windows,
 macOS, Linux, iOS, and Android.
 .
 The tool automates the process of packaging Python applications, generating
 packages in the appropriate format for each operating system. This means that
 it not only compiles Python code into an executable format, but also structures
 the project to meet the specific requirements of each platform.
 .
 Generates installation files compatible with each operating system (such
 as .exe, .dmg, .deb, .apk, among others). As well as packaging applications
 with graphical interfaces, making them indistinguishable from native
 applications.
 .
 Main features:
  - Independence from the development environment: The application can be
    developed on any operating system and, with Briefcase, can be packaged for
    multiple platforms, without having to be recreated from scratch for each of
    them.
  - Native package generation: Creates ready-to-install and use packages,
    without the need to install Python separately.
  - Integration with GUI frameworks: Support for Toga (from BeeWare) and other
    GUI libraries such as PySide.

Package: python-briefcase-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Convert Python project to native application(common documentation)
 Briefcase is a tool from the BeeWare project that allows you to package and
 distribute Python applications as native executables for different operating
 systems. With it, a developer can turn a Python project into an application
 that can be installed and run like any other common software on Windows,
 macOS, Linux, iOS, and Android.
 .
 The tool automates the process of packaging Python applications, generating
 packages in the appropriate format for each operating system. This means that
 it not only compiles Python code into an executable format, but also structures
 the project to meet the specific requirements of each platform.
 .
 Generates installation files compatible with each operating system (such
 as .exe, .dmg, .deb, .apk, among others). As well as packaging applications
 with graphical interfaces, making them indistinguishable from native
 applications.
 .
 Main features:
  - Independence from the development environment: The application can be
    developed on any operating system and, with Briefcase, can be packaged for
    multiple platforms, without having to be recreated from scratch for each of
    them.
  - Native package generation: Creates ready-to-install and use packages,
    without the need to install Python separately.
  - Integration with GUI frameworks: Support for Toga (from BeeWare) and other
    GUI libraries such as PySide.
 .
 This is the common documentation package briefcase.
