## python-briefcase 0.3.25

=== debian/changelog ===
python-briefcase (0.3.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1114299)
    - Tests: remove use of httpx-retries as this is not in Debian.
    - Docs: remove use of beeware_theme as this is not in Debian.
    - Update dependencies, d/copyright and patches.
  * Prevent network access throughout build,
    and skip another test that requires it.
  * Add autopkgtest.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 27 Sep 2025 20:14:21 +0100

python-briefcase (0.3.22-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-tomli
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:03:17 +0200

python-briefcase (0.3.22-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 18:48:06 +0200
