=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                python3-enchant <!nodoc>,
                python3-git,
                python3-httpx,
-               python3-importlib-metadata,
+# not in Debian, use patched out by 003.no-httpx-retries.patch
+# python3-httpx-retries,
                python3-packaging,
                python3-pip,
                python3-platformdirs,
@@ -33,10 +34,11 @@
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
                python3-sphinxcontrib.spelling <!nodoc>,
-               python3-tomli,
                python3-tomli-w,
+               python3-truststore,
                python3-wheel
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/beeware/briefcase
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-briefcase
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-briefcase.git
