=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
+export http_proxy=http://127.0.0.1:9/
+export https_proxy=https://127.0.0.1:9/
 
 #skipped tests that require connection and tests
 # for platforms/architecture that are not part of the unix environment
@@ -19,6 +21,7 @@
 	and not test_file_name \
 	and not test_distribution_path \
 	and not test_download_url \
+	and not test_download_missing \
 	and not test_download_sdk \
 	and not test_download_sdk_legacy_install \
 	and not test_download_wix \
@@ -49,7 +52,7 @@
 
 # sphinx documentation
 execute_before_dh_sphinxdoc:
-	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
+	python3 -m sphinx  -d debian/doctrees  \
 	-N -bhtml  docs debian/python-briefcase-doc/usr/share/doc/python-briefcase-doc/html
 
 #Fix duplicate-files
