=== debian/watch ===
version=4
https://github.com/beeware/briefcase/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
